Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class ByteArray

    java.lang.Object
      |
      +--org.hsqldb.ByteArray

class ByteArray
extends java.lang.Object

ByteArray class declaration

This class allows HSQL to store binary data as an array of bytes. It contains methods to create and access the data, perform comparisons, etc.

Constructor Summary
`(package private)` | `ByteArray(byte[] a)` ByteArray Constructor declaration
`(package private)` | `ByteArray(java.lang.String s)` ByteArray Constructor declaration

Method Summary
`(package private) byte[]` | `byteValue()` byteVake method declaration
`(package private) int` | `compareTo(ByteArray o)` compareTo method declaration
`(package private) static java.lang.String` | `createString(byte[] b)` createString method declaration
`(package private) java.lang.Object` | `deserialize()` deserialize method declaration
`int` | `hashCode()` hashcode method declaration
`(package private) static byte[]` | `serialize(java.lang.Object s)` serialize method declaration
`(package private) static java.lang.String` | `serializeToString(java.lang.Object s)` serializeToString method declaration
`java.lang.String` | `toString()` toString method declaration

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ByteArray

    ByteArray(java.lang.String s)

  ByteArray Constructor declaration

  Converts a string parameter to the array of bytes the ByteArray object will contain.

  Parameters:
    `s` -

### ByteArray

    ByteArray(byte[] a)

  ByteArray Constructor declaration

  Creates a ByteArray object from an array of bytes.

  Parameters:
    `s` -

Method Detail

### byteValue

    byte[] byteValue()

  byteVake method declaration

  Give access to the object's data

  Returns:
    The array of bytes representing this objects data.

### compareTo

    int compareTo(ByteArray o)

  compareTo method declaration

  This method compares the object to another ByteArray object.

  Parameters:
    `ByteArray` - object we are comparing against.
  Returns:
    0 if objects are the same, non-zero otherwise.

### serialize

    static byte[] serialize(java.lang.Object s)
                     throws java.sql.SQLException

  serialize method declaration

  This method serializes an Object into an array of bytes.

  Parameters:
    `The` - Object to serialize
  Returns:
    a static byte array representing the passed Object
  Throws:
    java.sql.SQLException -

### serializeToString

    static java.lang.String serializeToString(java.lang.Object s)
                                       throws java.sql.SQLException

  serializeToString method declaration

  This method serializes an Object into a String.

  Parameters:
    `The` - Object to serialize
  Returns:
    A String representing the passed Object
  Throws:
    java.sql.SQLException -

### deserialize

    java.lang.Object deserialize()
                           throws java.sql.SQLException

  deserialize method declaration

  This method returns the array of bytes stored in the instance of ByteArray class as an Object instance.

  Returns:
    deserialized Object
  Throws:
    java.sql.SQLException -

### createString

    static java.lang.String createString(byte[] b)

  createString method declaration

  This method creates a String from the passed array of bytes.

  Parameters:
    `byte` - array to convert.
  Returns:
    String representation of the byte array.

### toString

    public java.lang.String toString()

  toString method declaration

  This method creates a String from the passed array of bytes stored in this instance of the ByteArray class.

  Overrides:
    toString in class java.lang.Object
  Returns:
    String representation of the ByteArray.

### hashCode

    public int hashCode()

  hashcode method declaration

  This method returns the hashcode for the data stored in this instance of the ByteArray class.

  Overrides:
    hashCode in class java.lang.Object
  Returns:

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD